package com.muyu.vhilce.event.common.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: DongZeLiang
 * @date: 2024/6/14
 * @Description: 事件模型
 * @Version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EventModel {

    /**
     * 车辆VIN
     */
    private String vin;

    /**
     * 消息类型
     */
    private String type;
}
