package com.muyu.vehicle.event.server.controller;

import com.alibaba.fastjson2.JSONObject;
import com.muyu.vhilce.event.common.constants.VehicleConstant;
import com.muyu.vhilce.event.common.model.EventModel;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author: DongZeLiang
 * @date: 2024/6/14
 * @Description: 测试msg
 * @Version: 1.0
 */
@RestController
@RequestMapping("/test")
public class TestMsgController {

    @Autowired
    private RabbitTemplate rabbitTemplate;

    @PostMapping
    public String sendMsg(@RequestBody EventModel eventModel){
        rabbitTemplate.convertSendAndReceive(VehicleConstant.VEHICLE_EVENT_EXCHANGE, "",
                JSONObject.toJSONString(eventModel)

        );
        return "成功";
    }

}
