package com.muyu.vhilce.event.common.config;

import com.muyu.vhilce.event.common.constants.VehicleConstant;
import org.springframework.amqp.core.FanoutExchange;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

/**
 * @Author: DongZeLiang
 * @date: 2024/6/14
 * @Description: 消息配置
 * @Version: 1.0
 */
public class MsgConfig {

    /**
     * 创建交换机
     * @return 事件交互交换机
     */
    @Bean
    public FanoutExchange vehicleEventExchange() {
        return new FanoutExchange(VehicleConstant.VEHICLE_EVENT_EXCHANGE);
    }


}
